/*package com.wx.application.nebula.graph.base;

import java.util.Arrays;
import java.util.List;

import com.vesoft.nebula.client.graph.NebulaPoolConfig;
import com.vesoft.nebula.client.graph.data.HostAddress;
import com.vesoft.nebula.client.graph.net.NebulaPool;
import com.vesoft.nebula.client.graph.net.Session;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class NebulaGraphClient {
	
	NebulaPool pool;
	
	public void nebulaPool() {
		pool = new NebulaPool();
		try {
		    NebulaPoolConfig nebulaPoolConfig = new NebulaPoolConfig();
		    nebulaPoolConfig.setMaxConnSize(200);
		    nebulaPoolConfig.setIdleTime(5000);
		    nebulaPoolConfig.setWaitTime(5000);
		    List<HostAddress> addresses = Arrays.asList(new HostAddress("47.103.128.32", 9669));
		    pool.init(addresses, nebulaPoolConfig);
		} catch (Exception e) {
			log.info("{}" ,e);
		}
	}
	
	public Session getSession() throws Exception {
		return pool.getSession("root", "123456", false);
	}
	
	
	public void returnSession(Session session) {
		session.release();
	}
	
	
}
*/